%define gemdir %(ruby -rrubygems -e'puts Gem.default_dir')
%define gemname %(echo %{name} | sed 's,^ruby-,,')
Name:          ruby-json_pure
Version:       2.6.2
Release:       1mamba
Summary:       A JSON implementation in pure Ruby
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://flori.github.io/json/
Source:        http://rubygems.org/downloads/json_pure-%{version}.gem
License:       GPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRequires: ruby-devel >= 2.5.1
Requires:      ruby >= 2.5.1

%description
A JSON implementation in pure Ruby.

%prep

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
gem install --no-user-install --ignore-dependencies -u -i "%{buildroot}%{gemdir}" \
   -n "%{buildroot}/usr/bin" "%{SOURCE0}"

rm -rf %{buildroot}%{gemdir}/cache
rm -f %{buildroot}%{gemdir}/gems/%{gemname}-%{version}/.gitignore

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%dir %{gemdir}/gems/%{gemname}-%{version}
%{gemdir}/gems/%{gemname}-%{version}/*
#%{gemdir}/gems/%{gemname}-%{version}/.travis.yml
%{gemdir}/specifications/%{gemname}-%{version}.gemspec
%dir %{_libdir}/ruby/gems/*/doc/%{gemname}-%{version}
%{_libdir}/ruby/gems/*/doc/%{gemname}-%{version}/*

%changelog
* Mon May 16 2022 Automatic Build System <autodist@mambasoft.it> 2.6.2-1mamba
- automatic version update by autodist

* Sun Oct 24 2021 Automatic Build System <autodist@mambasoft.it> 2.6.1-1mamba
- automatic version update by autodist

* Fri Oct 15 2021 Automatic Build System <autodist@mambasoft.it> 2.6.0-1mamba
- automatic version update by autodist

* Sun Feb 28 2021 Automatic Build System <autodist@mambasoft.it> 2.5.1-1mamba
- automatic version update by autodist

* Wed Jul 18 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.0-1mamba
- update to 2.1.0

* Wed Dec 11 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 1.8.1-1mamba
- package created using the webbuild interface
